// Next.js API route support: https://nextjs.org/docs/api-routes/introduction
import type {NextApiRequest, NextApiResponse} from "next";
import {withIronSessionApiRoute} from "iron-session/next";
import {sessionOptions} from "@/lib/session";
import {Permission} from "@/interfaces/permissions";
import {bootstrap} from "@/utils/permissions.be";

export default withIronSessionApiRoute(handler, sessionOptions);

async function handler(req: NextApiRequest, res: NextApiResponse) {
	if (req.method === "GET") return get(req, res);
}

async function get(req: NextApiRequest, res: NextApiResponse) {
	if (!req.session.user) {
		res.status(401).json({ok: false});
		return;
	}

	console.log("Boostrap");
	try {
		await bootstrap();
		return res.status(200).json({ok: true});
	} catch (err) {
		console.error("Failed to update permissions", err);
		return res.status(500).json({ok: false});
	}
}
